FROM debian:buster-20210511 AS base
#
ENV RUNNING_IN_CONTAINER=true
WORKDIR /app
EXPOSE 8001

FROM golang:1.16.4-buster as build
WORKDIR /src
COPY . .
RUN go env -w GOPROXY=https://goproxy.cn 
RUN go build -gcflags "all=-N -l"

FROM base AS final
WORKDIR /app
COPY --from=build /src/dsBaseRpc .
COPY Shell .
COPY Config ./Config
#COPY Xml ./Xml
COPY Sql ./Sql
ENTRYPOINT ["./dsBaseRpc"]
